defmodule DrainCloudCore.Application do
  # See https://hexdocs.pm/elixir/Application.html
  # for more information on OTP Applications
  @moduledoc false

  use Application

  @impl true
  def start(_type, _args) do
    children = [
      DrainCloudCoreWeb.Telemetry,
      DrainCloudCore.Repo,
      # DrainCloudCore.Rtc,
      {DNSCluster, query: Application.get_env(:draincloud_core, :dns_cluster_query) || :ignore},
      {Phoenix.PubSub, name: DrainCloudCore.PubSub},
      # Start a worker by calling: DrainCloudCore.Worker.start_link(arg)
      # {DrainCloudCore.Worker, arg},
      # Start to serve requests, typically the last entry
      DrainCloudCoreWeb.Endpoint
    ]

    # See https://hexdocs.pm/elixir/Supervisor.html
    # for other strategies and supported options
    opts = [strategy: :one_for_one, name: DrainCloudCore.Supervisor]
    Supervisor.start_link(children, opts)
  end

  # Tell Phoenix to update the endpoint configuration
  # whenever the application is updated.
  @impl true
  def config_change(changed, _new, removed) do
    DrainCloudCoreWeb.Endpoint.config_change(changed, removed)
    :ok
  end
end
